@REM
@REM Copyright (c) Microsoft Corporation.  All rights reserved.
@REM
@REM
@REM Use of this source code is subject to the terms of the Microsoft end-user
@REM license agreement (EULA) under which you licensed this SOFTWARE PRODUCT.
@REM If you did not accept the terms of the EULA, you are not authorized to use
@REM this source code. For a copy of the EULA, please see the LICENSE.RTF on your
@REM install media.
@REM
@echo off
verify off
PROMPT $p$g

REM !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
REM !!                                               !!
REM !! MAKE SURE YOU SET THE RIGHT IRQ & IOBASE      !!
REM !! FOR YOUR NETCARD BELOW.                       !!
REM !!                                               !!
REM !! NET_IRQ can be specified in either hex or     !!
REM !! decimal digits (ie either as IRQ=E or IRQ=14).!!
REM !! A value of 0 for both NET_IRQ & NET_IOBASE    !!
REM !! means to find the first net card on the PCI   !!
REM !! bus and use that                              !!
REM !!                                               !!
REM !! NET_IOBASE must be specified in Hex digits.   !!
REM !! A value of 0 for NET_IOBASE means to auto     !!
REM !! searchfor the PCI net card using the          !!
REM !! specified IRQ value.                          !!
REM !!                                               !!
REM !! NET_IP can be set to specify a static IP      !!
REM !! address or left blank to use DHCP to obtain   !!
REM !! an IP address.  Format of set should be:      !!
REM !!      set NET_IP=:10.0.0.1                     !!
REM !!                                               !!
REM !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

REM Determine if any updated files require installation.

REM Update the CE root directory as needed:

REM 8 character limit on directory/file names

REM Prevent V12 or earlier (without Key.txt file) being bootloaded onto a TP600 unit
if exist \windows\anritsu\TP600.txt if not exist \windows\anritsu\Bootload\Key.txt goto UPDATE_ABANDONED

REM Delete the key file
if exist \windows\anritsu\Bootload\Key.txt del \windows\anritsu\Bootload\Key.txt

REM Copy any anritsu dlls to windows  
if exist \windows\anritsu\Bootload\*.dll copy \Windows\anritsu\Bootload\*.dll \windows

REM Copy any anritsu exes to windows\anritsu  
if exist \windows\anritsu\Bootload\Hydra.exe copy \windows\anritsu\Bootload\Hydra.exe \windows\anritsu
if exist \windows\anritsu\Bootload\Tardis.exe copy \windows\anritsu\Bootload\Tardis.exe \windows\anritsu
if exist \windows\anritsu\Bootload\jtloader.exe copy \windows\anritsu\Bootload\jtloader.exe \windows\anritsu

REM Copy any anritsu bits to Windows\Anritsu\FPGA and Archive 
if exist \windows\anritsu\Bootload\*.bit copy \windows\anritsu\Bootload\*.bit \windows\anritsu\FPGA
if exist \windows\anritsu\Bootload\*.bit copy \windows\anritsu\Bootload\*.bit \windows\anritsu\FPGA\Archive

REM Copy any anritsu ldrs to Windows\Anritsu\Ldr
if exist \windows\anritsu\Bootload\*.ldr copy \windows\anritsu\Bootload\*.ldr \windows\anritsu\Ldr

REM Copy any anritsu bin to Root
if exist \windows\anritsu\Bootload\*.bin copy \windows\anritsu\Bootload\*.bin \

REM Copy any anritsu htm & jpg to Windows\Anritsu\WWW (make sure directory exists)
if not exist \windows\anritsu\WWW\index.htm mkdir \windows\anritsu\WWW
if exist \windows\anritsu\Bootload\*.htm copy \windows\anritsu\Bootload\*.htm \Windows\anritsu\WWW
if exist \windows\anritsu\Bootload\*.jpg copy \windows\anritsu\Bootload\*.jpg \Windows\anritsu\WWW

REM Copy any anritsu eep, txt, reg, hv, h, exe, p7b & nls to Windows
if exist \windows\anritsu\Bootload\*.eep copy \windows\anritsu\Bootload\*.eep \Windows
if exist \windows\anritsu\Bootload\*.txt copy \windows\anritsu\Bootload\*.txt  \Windows
if exist \windows\anritsu\Bootload\*.reg copy \windows\anritsu\Bootload\*.reg \Windows
if exist \windows\anritsu\Bootload\*.hv copy \windows\anritsu\Bootload\*.hv \Windows
if exist \windows\anritsu\Bootload\*.h copy \windows\anritsu\Bootload\*.h \Windows
if exist \windows\anritsu\Bootload\*.exe copy \windows\anritsu\Bootload\*.exe \Windows
if exist \windows\anritsu\Bootload\*.p7b copy \windows\anritsu\Bootload\*.p7b \Windows
if exist \windows\anritsu\Bootload\*.nls copy \windows\anritsu\Bootload\*.nls \Windows

goto UPDATE_COMPLETED

:UPDATE_ABANDONED

REM The update is being abandoned so delete the autoexec.bat file
if exist \windows\anritsu\Bootload\autoexec.bat del \windows\anritsu\Bootload\autoexec.bat

:UPDATE_COMPLETED

REM Delete any dlls that exist in the anritsu\Bootload directory
if exist \windows\anritsu\Bootload\*.dll del \windows\anritsu\Bootload\*.dll

REM Delete any exe that exist in the anritsu\Bootload directory
if exist \windows\anritsu\Bootload\Hydra.exe del \windows\anritsu\Bootload\Hydra.exe
if exist \windows\anritsu\Bootload\Tardis.exe del \windows\anritsu\Bootload\Tardis.exe
if exist \windows\anritsu\Bootload\jtloader.exe del \windows\anritsu\Bootload\jtloader.exe

REM Delete any bit that exist in the anritsu\Bootload directory
if exist \windows\anritsu\Bootload\*.bit del \windows\anritsu\Bootload\*.bit

REM Delete any ldr that exist in the anritsu\Bootload directory
if exist \windows\anritsu\Bootload\*.ldr del \windows\anritsu\Bootload\*.ldr

REM Delete any bin that exist in the anritsu\Bootload directory
if exist \windows\anritsu\Bootload\*.bin del \windows\anritsu\Bootload\*.bin

REM Delete any htm & jpg that exist in the anritsu\Bootload directory
if exist \windows\anritsu\Bootload\*.htm del \windows\anritsu\Bootload\*.htm
if exist \windows\anritsu\Bootload\*.jpg del \windows\anritsu\Bootload\*.jpg

REM Delete any eep, txt, reg, and hv, h, exe, p7b & nls that exist in the anritsu\Bootload directory
if exist \windows\anritsu\Bootload\*.eep del \windows\anritsu\Bootload\*.eep
if exist \windows\anritsu\Bootload\*.txt del \windows\anritsu\Bootload\*.txt
if exist \windows\anritsu\Bootload\*.reg del \windows\anritsu\Bootload\*.reg
if exist \windows\anritsu\Bootload\*.hv del \windows\anritsu\Bootload\*.hv
if exist \windows\anritsu\Bootload\*.h del \windows\anritsu\Bootload\*.h
if exist \windows\anritsu\Bootload\*.exe del \windows\anritsu\Bootload\*.exe
if exist \windows\anritsu\Bootload\*.p7b del \windows\anritsu\Bootload\*.p7b
if exist \windows\anritsu\Bootload\*.nls del \windows\anritsu\Bootload\*.nls

REM Update the CE windows directory as needed:
REM if exist \installs\windows\*.* copy \installs\windows\*.* \windows

REM Software update is complete.

if exist \windows\anritsu\TP600.txt goto END_TP400_SETTINGS

REM TP400 Settings:
set TPX00_RES=/L:1024x768x70
set NET_IRQ=10
set NET_IOBASE=F800
goto END_TP600_SETTINGS
:END_TP400_SETTINGS

REM TP600 Settings:
set TPX00_RES=/L:800x600x32
set NET_IRQ=15
set NET_IOBASE=F400
REM Configure ITE8888 ISA bridge address decoding on TP600.
c:\pcicfg.exe < ite8888.in
REM Configure PCI bridge in slot 2 to allow USB detection to work with CE4.2 on TP600.
c:\pcicfg.exe < bridge.in

:END_TP600_SETTINGS


REM //!! set NET_IP=192.168.168.2
set NET_IP=


if "%CONFIG%" == "CEPC_LOCAL" goto CEPC_LOCAL
if "%CONFIG%" == "CEPC_ETHER" goto CEPC_ETHER
if "%CONFIG%" == "CLEAN" goto CLEAN


:CEPC_LOCAL
REM #################################################################
REM     Launch loadcepc using a local NK.BIN image.
c:\windows\anritsu\jtloader -slc -gdc -rfc -pc:\Windows\Anritsu\Fpga\
loadcepc %TPX00_RES% nk.bin
goto END


:CEPC_ETHER
REM #################################################################
REM     Set RES=/L:800x600x16
REM
REM     Format
REM             /L:DXxDYxBPP[:PXxPY] in DECIMAL!!!!
REM

set RES=%TPX00_RES%
goto WITHRES


:WITHRES
REM #################################################################
REM     Here we actually Launch loadcepc using the RES, NET_IOBASE,
REM     and NET_IRQ env vars we just set above based on menu
REM     selections.

c:\windows\anritsu\jtloader -slc -gdc -rfc -pc:\Windows\Anritsu\Fpga\
loadcepc %TPX00_RES% /v /e:%NET_IOBASE%:%NET_IRQ%:%NET_IP% eboot.bin
goto END


:CLEAN

:END


